| digiKam Developer Documentation Professional Photo Management with the Power of Open Source

Loading...
Searching...
No Matches
Public Member Functions | List of all members
Digikam::Haar::Calculator Class Reference

## Public Member Functions
int | calcHaar (ImageData *const imageData, SignatureData *const sigData)
| Determines a total of NUM_COEFS positions in the image that have the largest magnitude (absolute value) in color value.
void | transform (ImageData *const data)
| Do the Haar tensorial 2d transform itself.

## Member Function Documentation

## ◆ calcHaar()

int Digikam::Haar::Calculator::calcHaar | ( | ImageData *const | data,
|  | SignatureData *const | sigData
| ) |  |

Returns linearized coordinates in sig1, sig2, and sig3. avgl are the [0,0] values. The order of occurrence of the coordinates in sig doesn't matter. Complexity is 3 x NUM_PIXELS^2 x 2log(NUM_COEFS).

## ◆ transform()

void Digikam::Haar::Calculator::transform | ( | ImageData *const | data | ) |

Here input is RGB data [0..255] in Unit arrays. Results are available in a, b, and c. Fully inplace calculation; order of result is interleaved though, but we don't care about that.